# Visualization
TKV3d
Prs3d

# Prs3d_ArrowAspect Class Reference

A framework for displaying arrows in representations
of dimensions and relations.
.

`#include <Prs3d_ArrowAspect.hxx>`

Inheritance diagram for Prs3d_ArrowAspect:

[legend]

## Public Member Functions

Standard_EXPORT | Prs3d_ArrowAspect ()
| Constructs an empty framework for displaying arrows in representations of lengths. The lengths displayed are either on their own or in chamfers, fillets, diameters and radii. .
Standard_EXPORT | Prs3d_ArrowAspect (const Quantity_PlaneAngle anAngle, const Quantity_Length aLength)
| Constructs a framework to display an arrow with a shaft of the length aLength and having a head with sides at the angle anAngle from each other. .
Standard_EXPORT void | SetAngle (const Quantity_PlaneAngle anAngle)
| defines the angle of the arrows.
Standard_EXPORT Quantity_PlaneAngle | Angle () const
| returns the current value of the angle used when drawing an arrow.
Standard_EXPORT void | SetLength (const Quantity_Length aLength)
| defines the length of the arrows.
Standard_EXPORT Quantity_Length | Length () const
| returns the current value of the length used when drawing an arrow.
Standard_EXPORT void | SetColor (const Quantity_Color &aColor)
Standard_EXPORT void | SetColor (const Quantity_NameOfColor aColor)
Standard_EXPORT Handle_Graphic3d_AspectLine3d | Aspect () const
virtual Standard_EXPORT void | Print (Standard_OStream &s) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Graphic3d_AspectLine3d | myArrowAspect
Quantity_PlaneAngle | myAngle
Quantity_Length | myLength

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_ArrowAspect::Prs3d_ArrowAspect | ( |  | ) |

Standard_EXPORT Prs3d_ArrowAspect::Prs3d_ArrowAspect | ( | const Quantity_PlaneAngle | anAngle,
|  | const Quantity_Length | aLength
| ) |

## Member Function Documentation

Standard_EXPORT Quantity_PlaneAngle Prs3d_ArrowAspect::Angle | ( |  | ) | const

Standard_EXPORT Handle_Graphic3d_AspectLine3d Prs3d_ArrowAspect::Aspect | ( |  | ) | const

Standard_EXPORT const Prs3d_ArrowAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_CompositeAspect.

Standard_EXPORT Quantity_Length Prs3d_ArrowAspect::Length | ( |  | ) | const

virtual Standard_EXPORT void Prs3d_ArrowAspect::Print | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_EXPORT void Prs3d_ArrowAspect::SetAngle | ( | const Quantity_PlaneAngle | anAngle | ) |

Standard_EXPORT void Prs3d_ArrowAspect::SetColor | ( | const Quantity_NameOfColor | aColor | ) |

Standard_EXPORT void Prs3d_ArrowAspect::SetColor | ( | const Quantity_Color & | aColor | ) |

Standard_EXPORT void Prs3d_ArrowAspect::SetLength | ( | const Quantity_Length | aLength | ) |

## Field Documentation

Quantity_PlaneAngle Prs3d_ArrowAspect::myAngle `[private]`

Handle_Graphic3d_AspectLine3d Prs3d_ArrowAspect::myArrowAspect `[private]`

Quantity_Length Prs3d_ArrowAspect::myLength `[private]`

The documentation for this class was generated from the following file:

- Prs3d_ArrowAspect.hxx